Product Catalog Assigned Users
Updated: Mar 20, 2024
Reading
ProductCatalogAssignedUsers
Permissions
ads_managementcatalog_management
Example
GET /v25.0/{product-catalog-id}/assigned_users HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
businessnumeric string |
The business associated with this catalog
required |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {},
"summary": {}
}
data
A list of AssignedUser nodes.
The following fields will be added to each node that is returned:
| Field | Description |
|---|---|
permitted_taskslist<string> |
Tasks that are assignable on this object
|
taskslist<string> |
All unpacked roles/tasks of this particular user on this object
default |
paging
For more details about pagination, see the Graph API guide.
summary
Aggregated information about the edge, such as counts. Specify the fields to fetch in the summary param (like summary=total_count).
| Field | Description |
|---|---|
total_countunsigned int32 |
Total number of business and system users assigned to this catalog
|
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
Creating
/{product_catalog_id}/assigned_users
You can make a POST request to assigned_users edge from the following paths:
When posting to this edge, a ProductCatalog will be created.
Permissions
catalog_management
Parameters
| Parameter | Description |
|---|---|
tasksarray<enum {MANAGE, ADVERTISE, MANAGE_AR, AA_ANALYZE}> |
Catalog permission tasks to assign this user
required |
userUID |
Business user id or system user id
required |
Return Type
This endpoint supports read-after-write and will read the node to which you POSTed.
Struct {
success: bool,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |
415 | Two factor authentication required. User have to enter a code from SMS or TOTP code generator to pass 2fac. This could happen when accessing a 2fac-protected asset like a page that is owned by a 2fac-protected business manager. |
Updating
You can't perform this operation on this endpoint.
Deleting
/{product_catalog_id}/assigned_users
You can dissociate a ProductCatalog from a ProductCatalog by making a DELETE request to /{product_catalog_id}/assigned_users.
Parameters
| Parameter | Description |
|---|---|
userUID |
Business user id or system user id
required |
Return Type
Struct {
success: bool,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |